#include <stdio.h>
#include <stdlib.h>

/**********************************************************************
* This is a struct definition. The definition dows NOT reserve any
* memory. Instanciating the struct leads to memory reservation.
**********************************************************************/
struct adress{
	char name[100];
	char vorname[100];
	char strasse[100];
	char stadt[100];
};
/**********************************************************************
* @brief:setAdress is a function to write the name, street and town
* in the adressbook
***********************************************************************/
void setAdress(struct adress *myAdress,char *name,char *vorname,char *strasse, char *stadt)
{
	sprintf(myAdress->name,"%s",name);
	sprintf(myAdress->vorname,"%s",vorname);
	sprintf(myAdress->strasse,"%s",strasse);

}
/**********************************************************************
* @brief: the print function prints the name and street of an Adress
* in the adressbook on the screen
***********************************************************************/
void print(struct adress *myAdress)
{
	printf("%s\n",myAdress->name);
	printf("%s\n",myAdress->vorname);
	printf("%s\n",myAdress->strasse);
}
/**********************************************************************
* just a little test routine for the setAdress and print function
***********************************************************************/
int main()
{
	struct adress myAdressBook[10];

	setAdress(&myAdressBook[0],"Fischer","Joern","Sesamstrasse","Mannheim");
	print(&myAdressBook[0]);
	system("pause");

	return 0;
}
